## org.apache.commons.configuration.beanutils
Class ConfigurationDynaClass

    java.lang.Object
      org.apache.commons.configuration.beanutils.ConfigurationDynaClass

All Implemented Interfaces:
  org.apache.commons.beanutils.DynaClass

    public class ConfigurationDynaClass

extends Object
implements org.apache.commons.beanutils.DynaClass

The `ConfigurationDynaClass` dynamically determines properties for a `ConfigurationDynaBean` from a wrapped configuration-collection `Configuration` instance.

Since:
  1.0-rc1
Version:
  $Id: ConfigurationDynaClass.java 1208764 2011-11-30 20:41:30Z oheger $
Author:
  Ricardo Gladwell

Constructor Summary
`ConfigurationDynaClass(Configuration configuration)` Construct an instance of a `ConfigurationDynaClass` wrapping the specified `Configuration` instance.

Method Summary
`org.apache.commons.beanutils.DynaProperty[]` `getDynaProperties()`
`org.apache.commons.beanutils.DynaProperty` `getDynaProperty(String name)`
`String` `getName()`
`org.apache.commons.beanutils.DynaBean` `newInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationDynaClass

    public ConfigurationDynaClass(Configuration configuration)

  Construct an instance of a `ConfigurationDynaClass` wrapping the specified `Configuration` instance.

  Parameters:
    `configuration` - `Configuration` instance.

Method Detail

### getDynaProperty

    public org.apache.commons.beanutils.DynaProperty getDynaProperty(String name)

  Specified by:
    `getDynaProperty` in interface `org.apache.commons.beanutils.DynaClass`

### getDynaProperties

    public org.apache.commons.beanutils.DynaProperty[] getDynaProperties()

  Specified by:
    `getDynaProperties` in interface `org.apache.commons.beanutils.DynaClass`

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.apache.commons.beanutils.DynaClass`

### newInstance

    public org.apache.commons.beanutils.DynaBean newInstance()
                                                      throws IllegalAccessException,
                                                             InstantiationException

  Specified by:
    `newInstance` in interface `org.apache.commons.beanutils.DynaClass`
  Throws:
    `IllegalAccessException`
    `InstantiationException`

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.